Zum Inhalt

Get salesProcessSearch

Retrieve the properties and relationships of an sales process object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/salesProcessSearchsKTG?$filter=searchWord eq {search keyword}

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a sales process object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/salesProcessSearchsKTG?$filter=searchWord eq '{search keyword}'

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "entryNo": 1488,
    "searchWord": "HHRG22+0007",
    "contactNumber": "10000",
    "customerNumber": "10000",
    "customerName": "TSO-DATA GmbH",
    "orderDate": "2022-06-29",
    "externalDocumentNumber": "",
    "packageTrackingNumber": "",
    "numberOfQuotes": 0,
    "numberOfOrders": 1,
    "numberOfShipments": 1,
    "numberOfInvoices": 1,
    "numberOfCreditMemos": 0,
    "numberOfReturnOrders": 0,
    "numberOfReturnReceipts": 0,
    "numberOfReminders": 0
}

See also

Tips for working with the APIs
salesProcessSearch